# Interface AxisAnnotation

All Known Implementing Classes:
  `PlaneAxisAnnotation`

public interface AxisAnnotation
Defines text labelling to decorate a plot.

Since:
  19 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`drawLabels(Graphics g)`
Paints the annotations.
`Surround`
`getSurround(boolean withScroll)`
Returns the padding space around the edge of a plot bounds rectangle required to accommodate the labels painted by this object.

## Method Details

### getSurround

Surround getSurround(boolean withScroll)
Returns the padding space around the edge of a plot bounds rectangle required to accommodate the labels painted by this object.

Parameters:
  `withScroll` - true if the padding should be large enough to accommodate labelling requirements if the surface is scrolled
Returns:
  padding surround

### drawLabels

void drawLabels(Graphics g)
Paints the annotations. They should fit in the padding region defined by the result of the {link #getPadding} method.

Parameters:
  `g` - graphics context